Redmine - Defect #40643

Mail med lank att byta I6senord innehaller fel lank
2024-04-29 11:42 - Katarina Eklund

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 5.1.1

Description

Nar en anvandare har glémt sitt [dsenord klickar de pa lanken "Glémt I6senord” i inloggningsrutan och anger sin email i rutan som
kommer upp.

| det email som skickas ut finns en lank som sags ga till det formular dar man kan byta I6senord, men man kommer i stéllet tillbaka till
det formul&r dar man anger sin mailadress.

Bugg eller instéllningsfel?

Felet har uppstatt pa senare tid, det kan vara i samband med att vi uppgraderade till version 5.1.1, men det &r inte helt tydligt att det
ar helt nytt.

History

#1 - 2024-04-29 21:08 - Marius BALTEANU

- Status changed from New to Needs feedback

Please post in English.

Please see Submissions for some guidelines on what to provide. If you have usage questions, please use forums.

#2 - 2024-04-30 09:27 - Katarina Eklund

When an user forgot the password he clicks on the link "forgot password" in in login view and writes the email in the upcoming field.

In the email sent out from Redmine there is a link said to lead to the form where you can change the password, but instead you come back to the form
where to write the email address.

Is this a bug or a setting that is wrong?

The issue came recently and we think it might be at the same time as we upgraded to version 5.1.1.

#3 - 2024-05-03 13:53 - Marius BALTEANU

Can you post details about your environment from Administration -> Information?

#4 - 2024-05-03 14:14 - Katarina Eklund
- File clipboard-202405031414-1rki7.png added
https://www.redmine.org/projects/redmine/wiki/Submissions

clipboard-202405031414-1rki7.png

Is this what you need?

#5 - 2024-05-03 14:21 - Marius BALTEANU

- File clipboard-202405031521-jgzgv.png added

Yes, thank you!

Can you check without the redmine_editauthor plugin?

I've just tested on my local environment and the link for recover password opens the expected page:
clipboard-202405031521-jgzgv.png

#6 - 2024-05-03 14:29 - Katarina Eklund
Yes, that might be it.
We will test without the plugin.

Thank you very much.

#7 - 2024-05-13 15:18 - Katarina Eklund
Hi!

We have analyzed this and came to the conclusion that the plug in cannot be the reason.

The plug in was installed after our first occurances with the wrong link.

Though what happened just two days before the first occurance we have is that we upgraded to Redmine 5.1.1 and changed server at the same time.

/Katarina

#8 - 2024-09-20 15:12 - Katarina Eklund

You can close this case.
we got help through another case.

#9 - 2024-09-21 10:45 - Go MAEDA
- Status changed from Needs feedback to Closed

- Resolution set to Invalid
